<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=27fed22d" />
    <script src="_static/documentation_options.js?v=cb975c41"></script>
    <script src="_static/doctools.js?v=9bcbadda"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#_"><strong>_</strong></a>
 | <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#H"><strong>H</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 
</div>
<h2 id="_">_</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.auth.domain.html#sagace.auth.domain.authentication_repository.AuthenticationRepository._abc_impl">_abc_impl (sagace.auth.domain.authentication_repository.AuthenticationRepository attribute)</a>

      <ul>
        <li><a href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI._abc_impl">(sagace.auth.infrastructure.authentication_api.AuthenticationAPI attribute)</a>
</li>
        <li><a href="sagace.core.html#sagace.core.api_client.APIClient._abc_impl">(sagace.core.api_client.APIClient attribute)</a>
</li>
        <li><a href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient._abc_impl">(sagace.core.http_api_client.HTTPAPIClient attribute)</a>
</li>
        <li><a href="sagace.core.storage.html#sagace.core.storage.file_storage.FileTokenStorage._abc_impl">(sagace.core.storage.file_storage.FileTokenStorage attribute)</a>
</li>
        <li><a href="sagace.core.storage.html#sagace.core.storage.memory_storage.MemoryTokenStorage._abc_impl">(sagace.core.storage.memory_storage.MemoryTokenStorage attribute)</a>
</li>
        <li><a href="sagace.core.storage.html#sagace.core.storage.redis_storage.RedisTokenStorage._abc_impl">(sagace.core.storage.redis_storage.RedisTokenStorage attribute)</a>
</li>
        <li><a href="sagace.core.html#sagace.core.token_storage.TokenStorage._abc_impl">(sagace.core.token_storage.TokenStorage attribute)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient._get_headers">_get_headers() (sagace.core.http_api_client.HTTPAPIClient method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.token.Token.access_token">access_token (sagace.core.token.Token attribute)</a>
</li>
      <li><a href="sagace.core.html#sagace.core.api_client.APIClient">APIClient (class in sagace.core.api_client)</a>
</li>
      <li><a href="sagace.exceptions.domain.html#sagace.exceptions.domain.api_request_error.APIRequestError">APIRequestError</a>
</li>
      <li><a href="sagace.core.html#sagace.core.token.Token.application_name">application_name (sagace.core.token.Token attribute)</a>
</li>
      <li><a href="sagace.exceptions.application.html#sagace.exceptions.application.application_error.ApplicationError">ApplicationError</a>
</li>
      <li><a href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI.AUTH_URL">AUTH_URL (sagace.auth.infrastructure.authentication_api.AuthenticationAPI attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.auth.domain.html#sagace.auth.domain.authentication_repository.AuthenticationRepository.authenticate">authenticate() (sagace.auth.domain.authentication_repository.AuthenticationRepository method)</a>

      <ul>
        <li><a href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI.authenticate">(sagace.auth.infrastructure.authentication_api.AuthenticationAPI method)</a>
</li>
      </ul></li>
      <li><a href="sagace.auth.application.html#sagace.auth.application.authentication_use_case.AuthenticateUser">AuthenticateUser (class in sagace.auth.application.authentication_use_case)</a>
</li>
      <li><a href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI">AuthenticationAPI (class in sagace.auth.infrastructure.authentication_api)</a>
</li>
      <li><a href="sagace.exceptions.infrastructure.html#sagace.exceptions.infrastructure.authentication_error.AuthenticationFailedError">AuthenticationFailedError</a>
</li>
      <li><a href="sagace.auth.domain.html#sagace.auth.domain.authentication_repository.AuthenticationRepository">AuthenticationRepository (class in sagace.auth.domain.authentication_repository)</a>
</li>
      <li><a href="sagace.auth.interfaces.html#sagace.auth.interfaces.authentication_service.AuthenticationService">AuthenticationService (class in sagace.auth.interfaces.authentication_service)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI.BASE_URL">BASE_URL (sagace.auth.infrastructure.authentication_api.AuthenticationAPI attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.token.Token.base_url">base_url (sagace.core.token.Token attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.delete">delete() (sagace.core.http_api_client.HTTPAPIClient method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.token.Token.description">description (sagace.core.token.Token attribute)</a>
</li>
      <li><a href="sagace.exceptions.domain.html#sagace.exceptions.domain.domain_error.DomainError">DomainError</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.auth.application.html#sagace.auth.application.authentication_use_case.AuthenticateUser.execute">execute() (sagace.auth.application.authentication_use_case.AuthenticateUser method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.storage.html#sagace.core.storage.file_storage.FileTokenStorage">FileTokenStorage (class in sagace.core.storage.file_storage)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.get">get() (sagace.core.http_api_client.HTTPAPIClient method)</a>
</li>
      <li><a href="sagace.core.html#sagace.core.token.Token.get_auth_header">get_auth_header() (sagace.core.token.Token method)</a>
</li>
      <li><a href="sagace.core.storage.html#sagace.core.storage.file_storage.FileTokenStorage.get_token">get_token() (sagace.core.storage.file_storage.FileTokenStorage method)</a>

      <ul>
        <li><a href="sagace.core.storage.html#sagace.core.storage.memory_storage.MemoryTokenStorage.get_token">(sagace.core.storage.memory_storage.MemoryTokenStorage method)</a>
</li>
        <li><a href="sagace.core.storage.html#sagace.core.storage.redis_storage.RedisTokenStorage.get_token">(sagace.core.storage.redis_storage.RedisTokenStorage method)</a>
</li>
        <li><a href="sagace.core.html#sagace.core.token_storage.TokenStorage.get_token">(sagace.core.token_storage.TokenStorage method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="H">H</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient">HTTPAPIClient (class in sagace.core.http_api_client)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.exceptions.infrastructure.html#sagace.exceptions.infrastructure.infrastructure_error.InfrastructureError">InfrastructureError</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.exceptions.interfaces.html#sagace.exceptions.interfaces.interface_error.InterfaceError">InterfaceError</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.auth.interfaces.html#sagace.auth.interfaces.authentication_service.AuthenticationService.login">login() (sagace.auth.interfaces.authentication_service.AuthenticationService method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.storage.html#sagace.core.storage.memory_storage.MemoryTokenStorage">MemoryTokenStorage (class in sagace.core.storage.memory_storage)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="sagace.html#module-sagace">sagace</a>
</li>
        <li><a href="sagace.auth.html#module-sagace.auth">sagace.auth</a>
</li>
        <li><a href="sagace.auth.application.html#module-sagace.auth.application">sagace.auth.application</a>
</li>
        <li><a href="sagace.auth.application.html#module-sagace.auth.application.authentication_use_case">sagace.auth.application.authentication_use_case</a>
</li>
        <li><a href="sagace.auth.domain.html#module-sagace.auth.domain">sagace.auth.domain</a>
</li>
        <li><a href="sagace.auth.domain.html#module-sagace.auth.domain.authentication_repository">sagace.auth.domain.authentication_repository</a>
</li>
        <li><a href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure">sagace.auth.infrastructure</a>
</li>
        <li><a href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure.authentication_api">sagace.auth.infrastructure.authentication_api</a>
</li>
        <li><a href="sagace.auth.interfaces.html#module-sagace.auth.interfaces">sagace.auth.interfaces</a>
</li>
        <li><a href="sagace.auth.interfaces.html#module-sagace.auth.interfaces.authentication_service">sagace.auth.interfaces.authentication_service</a>
</li>
        <li><a href="sagace.core.html#module-sagace.core">sagace.core</a>
</li>
        <li><a href="sagace.core.html#module-sagace.core.api_client">sagace.core.api_client</a>
</li>
        <li><a href="sagace.core.html#module-sagace.core.http_api_client">sagace.core.http_api_client</a>
</li>
        <li><a href="sagace.core.storage.html#module-sagace.core.storage">sagace.core.storage</a>
</li>
        <li><a href="sagace.core.storage.html#module-sagace.core.storage.file_storage">sagace.core.storage.file_storage</a>
</li>
        <li><a href="sagace.core.storage.html#module-sagace.core.storage.memory_storage">sagace.core.storage.memory_storage</a>
</li>
        <li><a href="sagace.core.storage.html#module-sagace.core.storage.redis_storage">sagace.core.storage.redis_storage</a>
</li>
        <li><a href="sagace.core.html#module-sagace.core.token">sagace.core.token</a>
</li>
        <li><a href="sagace.core.html#module-sagace.core.token_storage">sagace.core.token_storage</a>
</li>
        <li><a href="sagace.exceptions.html#module-sagace.exceptions">sagace.exceptions</a>
</li>
        <li><a href="sagace.exceptions.application.html#module-sagace.exceptions.application">sagace.exceptions.application</a>
</li>
        <li><a href="sagace.exceptions.application.html#module-sagace.exceptions.application.application_error">sagace.exceptions.application.application_error</a>
</li>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain">sagace.exceptions.domain</a>
</li>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.api_request_error">sagace.exceptions.domain.api_request_error</a>
</li>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.domain_error">sagace.exceptions.domain.domain_error</a>
</li>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.permission_denied_error">sagace.exceptions.domain.permission_denied_error</a>
</li>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.token_expired_error">sagace.exceptions.domain.token_expired_error</a>
</li>
        <li><a href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure">sagace.exceptions.infrastructure</a>
</li>
        <li><a href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.authentication_error">sagace.exceptions.infrastructure.authentication_error</a>
</li>
        <li><a href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.infrastructure_error">sagace.exceptions.infrastructure.infrastructure_error</a>
</li>
        <li><a href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces">sagace.exceptions.interfaces</a>
</li>
        <li><a href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces.interface_error">sagace.exceptions.interfaces.interface_error</a>
</li>
        <li><a href="sagace.samples.html#module-sagace.samples">sagace.samples</a>
</li>
        <li><a href="sagace.samples.html#module-sagace.samples.basic_autentication">sagace.samples.basic_autentication</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.exceptions.domain.html#sagace.exceptions.domain.permission_denied_error.PermissionDeniedError">PermissionDeniedError</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.post">post() (sagace.core.http_api_client.HTTPAPIClient method)</a>
</li>
      <li><a href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.put">put() (sagace.core.http_api_client.HTTPAPIClient method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.storage.html#sagace.core.storage.redis_storage.RedisTokenStorage">RedisTokenStorage (class in sagace.core.storage.redis_storage)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.api_client.APIClient.request">request() (sagace.core.api_client.APIClient method)</a>

      <ul>
        <li><a href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.request">(sagace.core.http_api_client.HTTPAPIClient method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    sagace

      <ul>
        <li><a href="sagace.html#module-sagace">module</a>
</li>
      </ul></li>
      <li>
    sagace.auth

      <ul>
        <li><a href="sagace.auth.html#module-sagace.auth">module</a>
</li>
      </ul></li>
      <li>
    sagace.auth.application

      <ul>
        <li><a href="sagace.auth.application.html#module-sagace.auth.application">module</a>
</li>
      </ul></li>
      <li>
    sagace.auth.application.authentication_use_case

      <ul>
        <li><a href="sagace.auth.application.html#module-sagace.auth.application.authentication_use_case">module</a>
</li>
      </ul></li>
      <li>
    sagace.auth.domain

      <ul>
        <li><a href="sagace.auth.domain.html#module-sagace.auth.domain">module</a>
</li>
      </ul></li>
      <li>
    sagace.auth.domain.authentication_repository

      <ul>
        <li><a href="sagace.auth.domain.html#module-sagace.auth.domain.authentication_repository">module</a>
</li>
      </ul></li>
      <li>
    sagace.auth.infrastructure

      <ul>
        <li><a href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure">module</a>
</li>
      </ul></li>
      <li>
    sagace.auth.infrastructure.authentication_api

      <ul>
        <li><a href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure.authentication_api">module</a>
</li>
      </ul></li>
      <li>
    sagace.auth.interfaces

      <ul>
        <li><a href="sagace.auth.interfaces.html#module-sagace.auth.interfaces">module</a>
</li>
      </ul></li>
      <li>
    sagace.auth.interfaces.authentication_service

      <ul>
        <li><a href="sagace.auth.interfaces.html#module-sagace.auth.interfaces.authentication_service">module</a>
</li>
      </ul></li>
      <li>
    sagace.core

      <ul>
        <li><a href="sagace.core.html#module-sagace.core">module</a>
</li>
      </ul></li>
      <li>
    sagace.core.api_client

      <ul>
        <li><a href="sagace.core.html#module-sagace.core.api_client">module</a>
</li>
      </ul></li>
      <li>
    sagace.core.http_api_client

      <ul>
        <li><a href="sagace.core.html#module-sagace.core.http_api_client">module</a>
</li>
      </ul></li>
      <li>
    sagace.core.storage

      <ul>
        <li><a href="sagace.core.storage.html#module-sagace.core.storage">module</a>
</li>
      </ul></li>
      <li>
    sagace.core.storage.file_storage

      <ul>
        <li><a href="sagace.core.storage.html#module-sagace.core.storage.file_storage">module</a>
</li>
      </ul></li>
      <li>
    sagace.core.storage.memory_storage

      <ul>
        <li><a href="sagace.core.storage.html#module-sagace.core.storage.memory_storage">module</a>
</li>
      </ul></li>
      <li>
    sagace.core.storage.redis_storage

      <ul>
        <li><a href="sagace.core.storage.html#module-sagace.core.storage.redis_storage">module</a>
</li>
      </ul></li>
      <li>
    sagace.core.token

      <ul>
        <li><a href="sagace.core.html#module-sagace.core.token">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    sagace.core.token_storage

      <ul>
        <li><a href="sagace.core.html#module-sagace.core.token_storage">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions

      <ul>
        <li><a href="sagace.exceptions.html#module-sagace.exceptions">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.application

      <ul>
        <li><a href="sagace.exceptions.application.html#module-sagace.exceptions.application">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.application.application_error

      <ul>
        <li><a href="sagace.exceptions.application.html#module-sagace.exceptions.application.application_error">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.domain

      <ul>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.domain.api_request_error

      <ul>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.api_request_error">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.domain.domain_error

      <ul>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.domain_error">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.domain.permission_denied_error

      <ul>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.permission_denied_error">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.domain.token_expired_error

      <ul>
        <li><a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.token_expired_error">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.infrastructure

      <ul>
        <li><a href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.infrastructure.authentication_error

      <ul>
        <li><a href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.authentication_error">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.infrastructure.infrastructure_error

      <ul>
        <li><a href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.infrastructure_error">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.interfaces

      <ul>
        <li><a href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces">module</a>
</li>
      </ul></li>
      <li>
    sagace.exceptions.interfaces.interface_error

      <ul>
        <li><a href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces.interface_error">module</a>
</li>
      </ul></li>
      <li>
    sagace.samples

      <ul>
        <li><a href="sagace.samples.html#module-sagace.samples">module</a>
</li>
      </ul></li>
      <li>
    sagace.samples.basic_autentication

      <ul>
        <li><a href="sagace.samples.html#module-sagace.samples.basic_autentication">module</a>
</li>
      </ul></li>
      <li><a href="sagace.core.storage.html#sagace.core.storage.file_storage.FileTokenStorage.save_token">save_token() (sagace.core.storage.file_storage.FileTokenStorage method)</a>

      <ul>
        <li><a href="sagace.core.storage.html#sagace.core.storage.memory_storage.MemoryTokenStorage.save_token">(sagace.core.storage.memory_storage.MemoryTokenStorage method)</a>
</li>
        <li><a href="sagace.core.storage.html#sagace.core.storage.redis_storage.RedisTokenStorage.save_token">(sagace.core.storage.redis_storage.RedisTokenStorage method)</a>
</li>
        <li><a href="sagace.core.html#sagace.core.token_storage.TokenStorage.save_token">(sagace.core.token_storage.TokenStorage method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.core.html#sagace.core.token.Token">Token (class in sagace.core.token)</a>
</li>
      <li><a href="sagace.core.html#sagace.core.token.Token.token_type">token_type (sagace.core.token.Token attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sagace.exceptions.domain.html#sagace.exceptions.domain.token_expired_error.TokenExpiredError">TokenExpiredError</a>
</li>
      <li><a href="sagace.core.html#sagace.core.token_storage.TokenStorage">TokenStorage (class in sagace.core.token_storage)</a>
</li>
  </ul></td>
</tr></table>



          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="modules.html">sagace</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
    </div>

    

    
  </body>
</html>